View Issue Details

IDProjectCategoryView StatusLast Update
13604Bug reports[All Projects] Pluginspublic2018-05-25 11:30
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.6.x 
Summary13604: beforeSurveyDelete didn't happen when delete a survey
Description

Because usage of deleteByPk : the event didn't happen

Additional Information

Survey deletion seems really needed , no ?

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.6.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-04-13 18:24

developer   ~47435

https://github.com/LimeSurvey/LimeSurvey/pull/1042

user70560

2018-04-18 17:32

  ~47459

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27026

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47843

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master 8b033c00

2018-04-18 17:32:15

user70560


Committer: GitHub Details Diff
Fixed issue 13604: beforeSurveyDelete didn't happen when delete a survey

Dev : pull request #1042
Dev: move deleteSurvey to delete
Dev: use parent::delete()
Dev: phpDoc (can return null)
Affected Issues
13604
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2018-04-13 17:28 DenisChenu New Issue
2018-04-13 18:24 DenisChenu Assigned To => DenisChenu
2018-04-13 18:24 DenisChenu Status new => assigned
2018-04-13 18:24 DenisChenu Note Added: 47435
2018-04-18 17:32 user70560 Changeset attached => LimeSurvey master 8b033c00
2018-04-18 17:32 user70560 Note Added: 47459
2018-04-18 17:32 user70560 Assigned To DenisChenu => user70560
2018-04-18 17:32 user70560 Resolution open => fixed
2018-04-19 10:46 DenisChenu Assigned To user70560 => DenisChenu
2018-04-19 10:46 DenisChenu Status assigned => resolved
2018-04-19 10:46 DenisChenu Fixed in Version => 3.6.x
2018-05-25 11:30 c_schmitz Note Added: 47843
2018-05-25 11:30 c_schmitz Status resolved => closed